Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.mdi
Class MDIConfig.InternalFrameDesc

    java.lang.Object
      org.gjt.jclasslib.mdi.MDIConfig.InternalFrameDesc

Enclosing class:
  MDIConfig

public static class MDIConfig.InternalFrameDesc
extends Object

Serializable description object for the state of an internal frame.

Constructor Summary
`MDIConfig.InternalFrameDesc()`

Method Summary
`String` | `getClassName()` Get the class name of the internal frame.
`int` | `getHeight()` Get the height of the internal frame on the desktop.
`Object` | `getInitParam()` Get the initialization parameter for the internal frame.
`int` | `getWidth()` Get the width of the internal frame on the desktop.
`int` | `getX()` Get the x-position of the internal frame on the desktop.
`int` | `getY()` Get the y-position of the internal frame on the desktop.
`boolean` | `isIconified()` Returns whether the internal frame is iconified.
`boolean` | `isMaximized()` Returns whether the internal frame is maximized.
`void` | `setClassName(String className)` Set the class name of the internal frame.
`void` | `setHeight(int height)` Set the height of the internal frame on the desktop.
`void` | `setIconified(boolean iconified)` Sets whether the internal frame is iconified.
`void` | `setInitParam(Object initParam)` Set the initialization parameter for the internal frame.
`void` | `setMaximized(boolean maximized)` Sets whether the internal frame is maximized.
`void` | `setWidth(int width)` Set the width of the internal frame on the desktop.
`void` | `setX(int x)` Set the x-position of the internal frame on the desktop.
`void` | `setY(int y)` Set the y-position of the internal frame on the desktop.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDIConfig.InternalFrameDesc

    public MDIConfig.InternalFrameDesc()

Method Detail

### getClassName

    public String getClassName()

  Get the class name of the internal frame.

  Returns:
    the class name.

### setClassName

    public void setClassName(String className)

  Set the class name of the internal frame.

  Parameters:
    `className` - the class name.

### getInitParam

    public Object getInitParam()

  Get the initialization parameter for the internal frame.

  Returns:
    the initialization parameter

### setInitParam

    public void setInitParam(Object initParam)

  Set the initialization parameter for the internal frame.

  Parameters:
    `initParam` - the initialization parameter

### getX

    public int getX()

  Get the x-position of the internal frame on the desktop.

  Returns:
    the x-position.

### setX

    public void setX(int x)

  Set the x-position of the internal frame on the desktop.

  Parameters:
    `x` - the x-position.

### getY

    public int getY()

  Get the y-position of the internal frame on the desktop.

  Returns:
    the y-position.

### setY

    public void setY(int y)

  Set the y-position of the internal frame on the desktop.

  Parameters:
    `y` - the y-position.

### getWidth

    public int getWidth()

  Get the width of the internal frame on the desktop.

  Returns:
    the width.

### setWidth

    public void setWidth(int width)

  Set the width of the internal frame on the desktop.

  Parameters:
    `width` - the width.

### getHeight

    public int getHeight()

  Get the height of the internal frame on the desktop.

  Returns:
    the height.

### setHeight

    public void setHeight(int height)

  Set the height of the internal frame on the desktop.

  Parameters:
    `height` - the height.

### isMaximized

    public boolean isMaximized()

  Returns whether the internal frame is maximized.

  Returns:
    the value.

### setMaximized

    public void setMaximized(boolean maximized)

  Sets whether the internal frame is maximized.

  Parameters:
    `maximized` - the value.

### isIconified

    public boolean isIconified()

  Returns whether the internal frame is iconified.

  Returns:
    the value.

### setIconified

    public void setIconified(boolean iconified)

  Sets whether the internal frame is iconified.

  Parameters:
    `iconified` - the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD